Bug 957339 - Review Request: openerp7 - Business Applications Server
Review Request: openerp7 - Business Applications Server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On: 956127 956134
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-27 06:51 EDT by Alec Leamas
Modified: 2015-09-24 13:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 13:13:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
licensecheck (199.81 KB, text/plain)
2013-09-10 16:33 EDT, Wolfgang Ulbrich
no flags Details
own-directories (81.05 KB, text/plain)
2013-09-10 16:35 EDT, Wolfgang Ulbrich
no flags Details
Comment (94.06 KB, text/plain)
2013-09-11 05:31 EDT, Wolfgang Ulbrich
no flags Details

  None (edit)
Description Alec Leamas 2013-04-27 06:51:15 EDT
Spec URL: http://leamas.fedorapeople.org/openerp7/0/openerp7.spec
SRPM URL: http://leamas.fedorapeople.org/openerp7/0/openerp7-7.0-1.20130425_232458.fc18.src.rpm
Description: Openerp7 is a large, incompatible update of openerp (the 6.1 line). 
Server package for OpenERP, the version 7 branch.

OpenERP is a free Enterprise Resource Planning and Customer Relationship
Management software. It is mainly developed to meet changing needs.

The main functional features are: CRM & SRM, analytic and financial accounting,
double-entry stock management, sales and purchases management, tasks automation,
help desk, marketing campaign, ... and vertical modules for very specific
businesses.

Technical features include a distributed server, flexible work-flows, an object
database, dynamic GUIs, custom reports, NET-RPC and XML-RPC interfaces, ...

For more information, please visit: http://www.openerp.com

This server package contains the core (server) of OpenERP system and all
additions of the official distribution. You may need the GTK client to connect
to this server, or the web-client which serves to HTML browsers. You can
also find more additions (aka. modules) for this ERP system in:
http://www.openerp.com/ or  http://apps.openerp.com/


Fedora Account System Username: leamas
Comment 1 Alec Leamas 2013-04-27 06:52:30 EDT
This is a work in progress.
Whiteboard: NotReady
Comment 2 Alec Leamas 2013-06-19 14:13:42 EDT
Ready for review, clearing whiteboard,

Although this is a quite complex package, it's just an update of openerp which was reviewed in bug #817271. However, this incompatible update needs a new name and thus a new review.

At the time of writing, some of the dependencies are in updates-testing.

rpmlint comments:
openerp7.noarch: E: explicit-lib-dependency pyftpdlib
This is a known bug in rpmlint, which handles any package ending in ...lib
as a linkable lib.

openerp7.noarch: E: non-readable /etc/openerp/openerp-server.conf 0660L
This file contains a password, thus 660.

openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/crm/wizard/crm_phonecall_to_opportunity.py
Don't know if it's OK to remove this file, seems safest to keep.

openerp7.noarch: E: zero-length .../openerp/addons/web/static/lib/datejs/globalization/tlh-TLH.js (11)
These are autogenerated by the localization framework, and I hesitate to remove them.

openerp7.noarch: W: log-files-without-logrotate /var/log/openerp
openerp has it's own logrotate logic, so using logrotate would be messy.

openerp7.noarch: W: non-standard-gid /etc/openerp openerp (4)
openerp7.noarch: W: non-standard-uid /var/log/openerp openerp (2)
user and group created by the package, should not be a problem.
Comment 3 Christopher Meng 2013-08-30 05:33:58 EDT
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units

You should migrate to F18+ style: 

http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Comment 4 Alec Leamas 2013-08-30 05:49:00 EDT
Indeed, thanks! Updated in-place, same links.
Comment 6 Wolfgang Ulbrich 2013-09-10 15:15:21 EDT
whoow, what a package.
After a first look i see only three issue in file section.
1. (double slash)
%{_unitdir}//openerp.service
2.
Replace /var with %{_localstatedir} in several places
ie.
/var/spool/openerp  to
%{_localstatedir}/spool/openerp
3.
Replace '/etc' directory with %{_sysconfdir} in several places.


Detailed review comming soon.
Comment 7 Alec Leamas 2013-09-10 15:28:34 EDT
(In reply to Wolfgang Ulbrich from comment #6)
> whoow, what a package.
> After a first look i see only three issue in file section.
> 1. (double slash)
> %{_unitdir}//openerp.service
Will do. Hopefylly it's OK to wait for the full review for this minor ting?!

> 2.
> Replace /var with %{_localstatedir} in several places
> ie.
> /var/spool/openerp  to
> %{_localstatedir}/spool/openerp
> 3.
> Replace '/etc' directory with %{_sysconfdir} in several places.
> 

2, 3. This should actually be OK (and I find much easier to read): https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Macros
Comment 8 Wolfgang Ulbrich 2013-09-10 16:32:33 EDT
(In reply to Alec Leamas from comment #7)
> (In reply to Wolfgang Ulbrich from comment #6)
> > whoow, what a package.
> > After a first look i see only three issue in file section.
> > 1. (double slash)
> > %{_unitdir}//openerp.service
> Will do. Hopefylly it's OK to wait for the full review for this minor ting?!
> 
> > 2.
> > Replace /var with %{_localstatedir} in several places
> > ie.
> > /var/spool/openerp  to
> > %{_localstatedir}/spool/openerp
> > 3.
> > Replace '/etc' directory with %{_sysconfdir} in several places.
> > 
> 
> 2, 3. This should actually be OK (and I find much easier to read):
> https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/
> Guidelines#Macros
agree for 2 and 3.

You should add LGPLv2+ to licence field, see attachment

rpmlint.txt

Checking: openerp7-7.0-1.20130618_231044.fc21.noarch.rpm
          openerp7-httpd-fonts-access-7.0-1.20130618_231044.fc21.noarch.rpm
          openerp7-7.0-1.20130618_231044.fc21.src.rpm
openerp7.noarch: E: explicit-lib-dependency pyftpdlib
openerp7.noarch: W: non-standard-gid /etc/openerp/openerp-server.conf openerp
openerp7.noarch: E: non-readable /etc/openerp/openerp-server.conf 0660L
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/ko-KP.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/si-LK.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/ar-AR.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/bs-BS.js
openerp7.noarch: W: non-standard-gid /etc/openerp openerp
openerp7.noarch: W: non-standard-uid /var/run/openerp openerp
openerp7.noarch: W: non-standard-gid /var/run/openerp openerp
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/sr-RS.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/tlh-TLH.js
openerp7.noarch: W: non-standard-uid /var/log/openerp openerp
openerp7.noarch: W: non-standard-gid /var/log/openerp openerp
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/iu-CA.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/oc-FR.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/ml-IN.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/sr@latin.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/web/static/lib/datejs/globalization/ab-RU.js
openerp7.noarch: E: zero-length /usr/lib/python2.7/site-packages/openerp/addons/crm/wizard/crm_phonecall_to_opportunity.py
openerp7.noarch: W: log-files-without-logrotate /var/log/openerp
openerp7.noarch: W: no-manual-page-for-binary openerp-gen-cert
openerp7-httpd-fonts-access.noarch: W: spelling-error %description -l en_US usr -> use, us, user
openerp7-httpd-fonts-access.noarch: W: no-documentation
openerp7-httpd-fonts-access.noarch: W: non-conffile-in-etc /etc/httpd/conf.d/fonts-access.conf

Use %config(noreplace) /etc/httpd/conf.d/fonts-access.conf

3 packages and 0 specfiles checked; 14 errors, 11 warnings.

For the rest i need to check my brain how we can solve those errors and warnings, i will let you know tomorrow or the next days.

[ ]: Package does not own files or directories owned by other packages.
Seems all directories seems to ne owned by the old package wich you want to replace. right?
see attachment.
Ok we should work on this points before final review.
Comment 9 Wolfgang Ulbrich 2013-09-10 16:33:29 EDT
Created attachment 796132 [details]
licensecheck
Comment 10 Wolfgang Ulbrich 2013-09-10 16:35:55 EDT
Created attachment 796135 [details]
own-directories
Comment 11 Alec Leamas 2013-09-10 16:49:47 EDT
(In reply to Wolfgang Ulbrich from comment #8)
> 
> 
> You should add LGPLv2+ to licence field, see attachment
> 
> rpmlint.txt

As stated in LICENSING-BREAKDOWN, I have promoted all LGPLv2 file to GPLv3.
It's messy enough...

[cut]
> Use %config(noreplace) /etc/httpd/conf.d/fonts-access.conf
> 
> 3 packages and 0 specfiles checked; 14 errors, 11 warnings.
> 
> For the rest i need to check my brain how we can solve those errors and
> warnings, i will let you know tomorrow or the next days.
You didn't miss my comments on these  in comment #2?


> [ ]: Package does not own files or directories owned by other packages.
> Seems all directories seems to ne owned by the old package wich you want to
> replace. right?
> see attachment.
Right. That's why I Conflict: it. Although Conflict: generally is frowned upon, I believe this use is legitimate. That's not to say I'm sure.
Comment 12 Wolfgang Ulbrich 2013-09-11 05:31:25 EDT
Created attachment 915764 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 13 Alec Leamas 2013-09-11 06:11:18 EDT
Many thanks for this review, it was really needed!

--alec
Comment 14 Alec Leamas 2013-09-12 05:11:31 EDT
New Package SCM Request
=======================
Package Name: openerp7
Short Description:  Business Applications Server, version 7 line
Owners: leamas
Branches: f18 f19 f20
InitialCC:
Comment 15 Kevin Fenzi 2013-09-27 14:30:07 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-10-31 15:08:58 EDT
openerp7-7.0-1.20130618_231044.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openerp7-7.0-1.20130618_231044.fc20
Comment 17 Fedora Update System 2013-11-01 16:25:39 EDT
Package openerp7-7.0-1.20130618_231044.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openerp7-7.0-1.20130618_231044.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20458/openerp7-7.0-1.20130618_231044.fc20
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2014-01-09 10:51:11 EST
openerp7-7.0-3.20140109_002644.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openerp7-7.0-3.20140109_002644.fc20
Comment 19 Fedora Update System 2014-01-10 08:03:23 EST
openerp7-7.0-4.20140109_002644.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openerp7-7.0-4.20140109_002644.fc20
Comment 20 Fedora Update System 2014-01-18 23:06:11 EST
openerp7-7.0-4.20140109_002644.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Upstream Release Monitoring 2015-09-24 11:04:37 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Note You need to log in before you can comment on or make changes to this bug.